<!DOCTYPE html>
<html lang="en" style="background-color: black;">
    <head>
        <meta charset="UTF-8">
        <title>Donate to LucKey Productions</title>
        <meta name="author" content="魔大农" >
        <meta name="image" content="../images/23.svg" />
        <link rel="shortcut icon" href="../images/icon.svg">
        <meta name="description" content="LucKey Productions donation page">
        <link rel="stylesheet" href="../css/common.css">
        <link rel="stylesheet" href="css/donate.css">
        <link rel="preload" as="image" href="./images/copy.svg" crossOrigin="anonymous" />
        <script src="../js/gamepad.js"></script>
    </head>
    <body ontouchstart="" onload="initialScroll()" >
        <img id="logo" src="../images/23.svg" onclick="location.assign('https://luckey.games')"/>
        <div id="options">
            <label for="iban" class="iban option" title="Bank transfer">
            </label>
            <div class="dropdown" id="crypto" onscroll="onCryptoScroll()">
                <label for="bch" class="bch option" onclick="pick(this)" title="Bitcoin Cash">
                </label>
                <label for="zec" class="zec option" onclick="pick(this)" title="Zcash" id="initialScroll">
                </label>
                <label for="etc" class="etc option" onclick="pick(this)" title="Etherium Classic">
                </label>
                <label for="btc" class="btc option" onclick="pick(this)" title="Bitcoin">
                </label>
                <label for="bch" class="bch option" onclick="pick(this)" title="Bitcoin Cash">
                </label>
                <label for="zec" class="zec option" onclick="pick(this)" title="Zcash">
                </label>
                <label for="etc" class="etc option" onclick="pick(this)" title="Etherium Classic">
                </label>
                <label for="btc" class="btc option" onclick="pick(this)" title="Bitcoin">
                </label>
            </div>
            <!--label for="paypal" class="paypal option" title="Paypal">
            </label-->
        </div>

        <p>Thank you for donating!</p>

        <input type="radio" id="iban" name="options" autocomplete="off">
        <p onclick="copy(this)">NL75 TRIO 0784 8160 85</p>
        <input type="radio" id="btc" name="options" autocomplete="off">
        <p onclick="copy(this)">bc1q4xxwpt8nwlx0tr6etasytu0wa7cncl77hm7huy</p>
        <input type="radio" id="zec" name="options" autocomplete="off">
        <p onclick="copy(this)">t1RJEEjKNdKDijwZGmt6DZmDBMZrZKPZp4S</p>
        <input type="radio" id="etc" name="options" autocomplete="off">
        <p onclick="copy(this)">0x919C07f69d136C080A072cc6214238afb868D162</p>
        <input type="radio" id="bch" name="options" autocomplete="off">
        <p onclick="copy(this)">qrtdsjraudrq3ea4drrkctrtcgjj4ykghqv6cjuxep</p>
        <!--input type="radio" id="paypal" name="options" autocomplete="off">
        <p onclick="copy(this)"><a href="https://www.paypal.me/LucKeyProductions">paypal.me/LucKeyProductions</a></p-->

        <script>
            function copy(elem) {

                let r = document.createRange();
                r.selectNodeContents(elem);

                let sel = window.getSelection();
                sel.removeAllRanges();
                sel.addRange(r);

                document.execCommand('copy');
                sel.removeAllRanges();
            }

            let dropdown = document.getElementById("crypto");
            let scrollElem = document.getElementById("initialScroll");

            function pick(elem) {
                dropdown.scrollTo({ left: 0, top: elem.offsetTop - elem.scrollHeight, behavior: 'instant' });
                onCryptoScroll();
            }

            function onCryptoScroll() {

                let half = dropdown.scrollHeight / 2.0;
                var styles = window.getComputedStyle(scrollElem);
                var margin = parseFloat(styles['marginTop']) +
                             parseFloat(styles['marginBottom']);

                if (dropdown.scrollTop < scrollElem.offsetTop - margin)
                    dropdown.scrollBy({ left: 0, top:  half, behavior: 'instant' });
                else if (dropdown.scrollTop > half + scrollElem.offsetTop - margin)
                    dropdown.scrollBy({ left: 0, top: -half, behavior: 'instant' });
            }

            function initialScroll() {
                dropdown.scrollTo(0, scrollElem.offsetTop);
            }
        </script>
    </body>
</html>
